P4_ID_DOT(3)

NAME
p4_id_dot - ID. ( some-nfa* -- ) [FTH]

SYNOPSIS

#include <pfe/misc-ext.h>

FCodep4_id_dot(---);

DESCRIPTION

print the name-field pointed to by the nfa-argument. a synonym for .NAME - but this word is more portable due its heritage from fig-forth.

in fig-forth the name-field is effectivly a bstring with some flags, so the nfa's count has to be masked out, e.g.

      : .NAME COUNT 32 AND TYPE ;

in other pfe configurations, the name might not contain the flags it it just a counted string - and there may be even more possibilities.

      : .NAME COUNT TYPE ;

you should more and more convert your code to use the sequence NAME>STRING TYPE which is widely regarded as the better variant.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>